import 'package:freezed_annotation/freezed_annotation.dart';

import 'app_tabs.dart';
import 'present.dart';

part 'global_state.g.dart';
part 'global_state.freezed.dart';

@freezed
class GlobalState with _$GlobalState {
  const factory GlobalState({
    @Default(AppTabs.settings) AppTabs currentStep,
    @Default(false) bool participantsLoaded,
    @Default(false) bool startCheckCount,
    @Default(45) int flatCount,
    @Default(100) int avtoCount,
    @Default(20) int motoCount,
    @Default(2000) int phoneCount,
    @Default([]) List<bool> flatRest,
    Present? currentPresent,
    int? currentFlatNumber,
    String? currentNumber,
    @Default(0) int currentPhone,
  }) = _GlobalState;

  factory GlobalState.fromJson(Map<String, dynamic> json) =>
      _$GlobalStateFromJson(json);
}
