import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import '../../../common/images.dart';
import '../../../domain/models/app_tabs.dart';
import '../../controllers/app_state_notifier.dart';

class BackGround extends ConsumerWidget {
  const BackGround({super.key});

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    debugPrint('build BackGround');
    ScreenUtil.init(context, designSize: const Size(1280, 720));
    final appState = ref.watch(appStateNotifierProvider);
    final backImage = appState.currentTab == AppTabs.settings ||
            appState.currentTab == AppTabs.result
        ? AppBackgrounds.settings
        : AppBackgrounds.phone;
    final needCircles = !appState.startGeneratePhone &&
        (appState.currentTab == AppTabs.quiz ||
            appState.currentTab == AppTabs.phones);
    return Stack(
      fit: StackFit.expand,
      children: [
        Image.asset(
          backImage,
          fit: BoxFit.cover,
        ),
        if (needCircles)
          Positioned(
            bottom: 0,
            right: -15.w,
            child: Image.asset(
              AppBackgrounds.allPoints,
              width: 711.w,
              height: 720.h,
            ),
          ),
      ],
    );
  }
}
