import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import '../../../common/theme/app_colors.dart';
import '../../../common/theme/app_text_style.dart';
import '../../controllers/app_state_notifier.dart';

class Footer extends ConsumerWidget {
  const Footer({
    super.key,
  });

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    final exeHash = ref.watch(appStateNotifierProvider).exeHash;
    ScreenUtil.init(context, designSize: const Size(1280, 720));
    return Padding(
      padding: EdgeInsets.symmetric(horizontal: 32.w, vertical: 14.h),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
          Text(
            'MD5 программы: $exeHash',
            style: Montserrat().size10Weihtg600.copyWith(
                  color: AppColors.white.withOpacity(0.5),
                ),
          ),
          SizedBox(width: 4.w),
          RichText(
            text: TextSpan(
                style: Montserrat()
                    .size14Weihtg600
                    .copyWith(color: AppColors.textCount),
                text:
                    'Список обладателей ценных подарков викторины смотрите только на официальном сайте',
                children: [
                  TextSpan(
                      text: ' опорныйкрай.рф'.toUpperCase(),
                      style: Montserrat()
                          .size14Weihtg600
                          .copyWith(color: AppColors.textSite)),
                ]),
          ),
        ],
      ),
    );
  }
}
