import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import '../../../common/theme/app_colors.dart';
import '../../../common/theme/app_text_style.dart';

class Recording extends StatelessWidget {
  const Recording({super.key});

  @override
  Widget build(BuildContext context) {
    ScreenUtil.init(context, designSize: const Size(1280, 720));
    return Stack(
      children: [
        Container(
          alignment: Alignment.centerRight,
          height: 28.h,
          width: 110.w,
          padding: EdgeInsets.symmetric(vertical: 4.h, horizontal: 8.w),
          decoration: BoxDecoration(
            borderRadius: BorderRadius.circular(30.r),
            color: AppColors.grey.withOpacity(0.15),
          ),
          child: Text(
            'Идет запись',
            style: Montserrat().size10Weihtg600,
          ),
        ),
        Container(
          height: 28.h,
          width: 28.w,
          decoration: BoxDecoration(
            shape: BoxShape.circle,
            color: AppColors.grey.withOpacity(0.15),
            border: Border.all(color: AppColors.blueRecordBorder, width: 1.h),
          ),
          child: Center(
            child: Container(
              height: 18.h,
              width: 18.w,
              decoration: const BoxDecoration(
                shape: BoxShape.circle,
                color: AppColors.redLight,
              ),
              child: Center(
                child: Container(
                  height: 12.h,
                  width: 12.w,
                  decoration: const BoxDecoration(
                    shape: BoxShape.circle,
                    color: AppColors.redLight,
                  ),
                  child: Center(
                    child: Container(
                      height: 8.h,
                      width: 8.w,
                      decoration: const BoxDecoration(
                        shape: BoxShape.circle,
                        color: AppColors.red,
                      ),
                    ),
                  ),
                ),
              ),
            ),
          ),
        ),
      ],
    );
  }
}
