import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import '../../../domain/models/app_tabs.dart';
import '../../controllers/app_state_notifier.dart';
import 'logos.dart';
import 'quiz_name_small.dart';
import 'recording.dart';
import 'tabs_row.dart';

class ReqAppBar extends ConsumerWidget {
  const ReqAppBar({super.key});

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    debugPrint('build ReqAppBar');
    ScreenUtil.init(context, designSize: const Size(1280, 720));
    return SizedBox(
      width: double.infinity,
      height: 72.h,
      child: Padding(
        padding: EdgeInsets.symmetric(horizontal: 32.w),
        child: Row(
          children: [
            const Logos(),
            if (ref.watch(appStateNotifierProvider).currentTab !=
                AppTabs.settings)
              Row(
                mainAxisSize: MainAxisSize.min,
                children: [
                  SizedBox(width: 58.w),
                  const QuizNameSmall(),
                ],
              ),
            const Spacer(),
            const TabsRow(),
            SizedBox(width: 30.w),
            const Recording(),
          ],
        ),
      ),
    );
  }
}
