import 'dart:io';

import 'package:riverpod_annotation/riverpod_annotation.dart';

import '../../common/file_names.dart';
import '../../common/service_locator.dart';
import 'global.dart';

part 'participants_list_notifier.g.dart';

@Riverpod(keepAlive: true)
class ParticipantsListNotifier extends _$ParticipantsListNotifier {
  @override
  List<String> build() {
    if (ref.read(globalProvider).participantsLoaded) {
      final wins = ServiceLocator.instance.winnersUtils.getAllWinsNumber();
      final allParts = File(FileNames.origPartCopyPath).readAsLinesSync();
      var setwins = Set.from(wins);
      var setallParts = Set.from(allParts);
      return List<String>.from(setallParts.difference(setwins));
    } else {
      return const [];
    }
  }

  void getPart(List<String> lines) {
    state = lines;
    ref.read(globalProvider.notifier).partLoaded();
  }

  Future<void> removeParticipant(int index) async {
    List<String> stateLocal = List.from(state);
    stateLocal.removeAt(index);
    state = stateLocal;
  }
}
