import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import '../../../common/theme/app_colors.dart';
import '../../../common/theme/app_text_style.dart';

class PhoneWin extends StatelessWidget {
  const PhoneWin({
    super.key,
    required this.number,
  });

  final String number;

  @override
  Widget build(BuildContext context) {
    ScreenUtil.init(context, designSize: const Size(1280, 720));
    return TweenAnimationBuilder<double>(
        tween: Tween<double>(begin: 0.0, end: 1.0),
        curve: Curves.ease,
        duration: const Duration(milliseconds: 600),
        builder: (BuildContext context, double opacity, Widget? child) {
          return Opacity(
              opacity: opacity,
              child: Container(
                alignment: Alignment.center,
                decoration: BoxDecoration(
                  color: AppColors.white.withOpacity(0.2),
                  borderRadius: BorderRadius.circular(6.r),
                  border: Border.all(color: AppColors.white, width: 0.32.w),
                ),
                child: Text(
                  number,
                  style: Sans().size18Weihtg500.copyWith(fontSize: 20.sp),
                ),
              ));
        });
  }
}
