import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:flutter_svg/flutter_svg.dart';

import '../../../common/images.dart';
import '../../../common/theme/app_text_style.dart';
import '../../common_widgets/elev_button.dart';

class LoadFile extends StatelessWidget {
  const LoadFile({
    super.key,
    required this.callback,
  });
  final Function callback;

  @override
  Widget build(BuildContext context) {
    ScreenUtil.init(context, designSize: const Size(1280, 720));
    return Column(
      children: [
        Text(
          'Загрузите файл с номерами участников',
          style: Montserrat().size28Weihtg700,
        ),
        SizedBox(height: 43.h),
        Row(
          mainAxisSize: MainAxisSize.min,
          children: [
            SvgPicture.asset(
              AppIcons.attention,
              width: 40.w,
              height: 40.w,
            ),
            SizedBox(width: 20.w),
            Text(
              'Сделать это возможно только один раз',
              style: Montserrat().size20Weihtg600,
            ),
          ],
        ),
        SizedBox(height: 40.h),
        ElevButton(
          callback: () {
            callback();
          },
          child: Row(
            mainAxisSize: MainAxisSize.min,
            children: [
              const Text('Загрузить файл'),
              SizedBox(width: 12.w),
              SvgPicture.asset(
                AppIcons.listDone,
                width: 22.w,
                height: 22.w,
              )
            ],
          ),
        ),
      ],
    );
  }
}
