import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import '../../../common/theme/app_text_style.dart';
import '../../../domain/models/present.dart';
import '../../common_widgets/elev_button.dart';
import 'settings_row.dart';

class SettingsCount extends StatelessWidget {
  const SettingsCount({
    super.key,
    required this.callback,
  });
  final Function() callback;

  @override
  Widget build(BuildContext context) {
    ScreenUtil.init(context, designSize: const Size(1280, 720));
    return Column(
      mainAxisSize: MainAxisSize.min,
      children: [
        Text(
          'Количество подарков',
          style: Montserrat().size28Weihtg700,
        ),
        Expanded(
          child: Row(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Column(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  const SettingsRow(present: Present.flat),
                  SizedBox(height: 16.h),
                  const SettingsRow(present: Present.avto),
                ],
              ),
              SizedBox(width: 16.w),
              Column(
                crossAxisAlignment: CrossAxisAlignment.end,
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  const SettingsRow(present: Present.moto),
                  SizedBox(height: 16.h),
                  const SettingsRow(present: Present.phone),
                ],
              ),
            ],
          ),
        ),
        Padding(
          padding: EdgeInsets.only(bottom: 8.h),
          child:
              ElevButton(callback: callback, child: const Text('Начать выбор')),
        )
      ],
    );
  }
}
