import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:intl/intl.dart';

import '../../../common/images.dart';
import '../../../common/theme/app_text_style.dart';
import '../../common_widgets/elev_button.dart';

class SuccessLoad extends StatelessWidget {
  const SuccessLoad({
    super.key,
    required this.callback,
  });
  final Function() callback;

  @override
  Widget build(BuildContext context) {
    ScreenUtil.init(context, designSize: const Size(1280, 720));
    return Column(
      mainAxisAlignment: MainAxisAlignment.spaceBetween,
      children: [
        Text(
          'Файл успешно загружен и обработан',
          style: Montserrat().size28Weihtg700,
        ),
        Row(
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisSize: MainAxisSize.min,
          children: [
            SvgPicture.asset(
              AppIcons.done,
              width: 40.w,
              height: 40.w,
            ),
            SizedBox(width: 20.w),
            Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              mainAxisSize: MainAxisSize.min,
              children: [
                Container(
                  alignment: Alignment.centerLeft,
                  height: 40.w,
                  child: Text(
                    DateFormat('dd.MM.yyyy в HH:mm:ss').format(DateTime.now()),
                    style: Montserrat().size20Weihtg600,
                  ),
                ),
                SizedBox(height: 11.h),
                Text(
                  'Данные подготовлены к выбору\nобладателей подарков',
                  style: Montserrat().size20Weihtg600,
                ),
              ],
            ),
          ],
        ),
        Padding(
          padding: EdgeInsets.only(bottom: 8.h),
          child: ElevButton(
              callback: callback,
              child: Row(
                mainAxisSize: MainAxisSize.min,
                children: [
                  const Text('Далее'),
                  SizedBox(width: 12.w),
                  SvgPicture.asset(
                    AppIcons.forward,
                    width: 17.w,
                    height: 22.w,
                  ),
                ],
              )),
        )
      ],
    );
  }
}
